version: 2
name: test
description: ""
global:
  concurrent: 1
trigger:
  webhook: gitlink@1.0.0
  event:
    - ref: push
      ruleset-operator: AND
workflow:
  - ref: start
    name: 开始
    task: start
  - ref: git_clone_0
    name: git clone
    task: git_clone@1.2.9
    input:
      remote_url: '""'
      ref: '"refs/heads/master"'
      commit_id: '""'
      depth: 1
    needs:
      - start
  - ref: golong_build_122_0
    name: golang build 1.22
    task: dagege/golong_build_122@1.0.4
    input:
      workspace: git_clone_0.git_path
      out_bin_name: catpaw
      GOOS: '"linux"'
      GOARCH: '"amd64"'
    needs:
      - git_clone_0
  - ref: end
    name: 结束
    task: end
    needs:
      - golong_build_122_0

